> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List the access profiles defined for an application, one page at a time.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/xaa/access_profiles
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/xaa/access_profiles:
    get:
      tags:
        - Cross-App Access
      summary: List
      description: List the access profiles defined for an application, one page at a time.
      operationId: c1.api.cross_app_access.v1.XAAAccessProfileService.List
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The application to list access profiles for.
            type: string
        - in: query
          name: page_size
          schema:
            description: Page size (max 100).
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: Page token for pagination.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfileServiceListResponse
          description: >-
            XAAAccessProfileServiceListResponse returns a page of access
            profiles.
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.XAAAccessProfile.List(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileServiceListRequest{\n        AppID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.XAAAccessProfileServiceListResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.cross_app_access.v1.XAAAccessProfileServiceListResponse:
      description: XAAAccessProfileServiceListResponse returns a page of access profiles.
      properties:
        accessProfiles:
          description: The page of access profiles.
          items:
            $ref: '#/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfile'
          type:
            - array
            - 'null'
        nextPageToken:
          description: Token for the next page, or empty if there are no more results.
          type: string
      title: Xaa Access Profile Service List Response
      type: object
      x-speakeasy-name-override: XAAAccessProfileServiceListResponse
    c1.api.cross_app_access.v1.XAAAccessProfile:
      description: >-
        XAAAccessProfile is a requestable bundle of scopes for one resource
        server.
      properties:
        appEntitlementId:
          description: The AppEntitlement created for this profile.
          type: string
        appId:
          description: The application that owns the resource server.
          type: string
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        description:
          description: Description of what access this profile grants.
          type: string
        displayName:
          description: Display name for the profile.
          type: string
        id:
          description: Unique identifier for this access profile.
          type: string
        scopeCount:
          description: The number of scopes currently bound to this profile.
          format: int32
          type: integer
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
        xaaResourceServerId:
          description: The resource server this profile grants access to.
          type: string
      title: Xaa Access Profile
      type: object
      x-speakeasy-name-override: XAAAccessProfile
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````